/* Copyright 2014 The Chromium Authors. All rights reserved.
 * Use of this source code is governed by a BSD-style license that can be
 * found in the LICENSE file.
 */

 html:not([new-layout]) #outer-container {
  align-items: center;
  box-sizing: border-box;
  height: 100%;
  justify-content: center;
  min-height: var(--oobe-dialog-min-height);
  padding-bottom: 0;
  padding-inline-end: var(--oobe-dialog-side-margin);
  padding-inline-start: var(--oobe-dialog-side-margin);
  position: absolute;
  width: 100%;
  z-index: 1;
}

html[new-layout] #outer-container {
  height: 100%;
  z-index: 1;
}

.oobe-vertical-margin {
  align-self: stretch;
  flex: 0 1 auto; /* grow shrink basis */
  height: var(--oobe-dialog-side-margin);
  min-height: 0;
}

#scroll-container {
  bottom: var(--shelf-area-height);  /* Leave space for the shelf */
  left: 0;
  overflow-x: hidden;
  overflow-y: auto;
  position: absolute;
  right: 0;
  top: 0;
}

#scroll-container.disable-scroll {
  overflow-y: hidden;
}

#scroll-container::-webkit-scrollbar {
  display: none;
}

#inner-container {
  border-radius: 2px;
  position: relative;
}

html[new-layout] #inner-container {
  display: grid;
  place-items: center;
}

#inner-container.animation {
  overflow: hidden;
}

#inner-container.disabled {
  opacity: 0.4;
  pointer-events: none;
}

#inner-container.disable-scroll {
  left: 0;
  position: absolute;
}

/* Only play this animation when 'down' class is removed. */
.oobe-display #inner-container:not(.down) {
  transition: transform 200ms ease-in-out;
}

.oobe-display #inner-container.down {
  transform: translateY(50px) rotateX(-2.5deg);
}

html:not([new-layout]) #oobe {
  flex: 1 0 auto; /* grow shrink basis */
  height: var(--oobe-dialog-min-height);
  max-height: 768px;
  max-width: 768px;
  width: 100%;
}

html[new-layout] #oobe {
  flex: 1 0 auto; /* grow shrink basis */
  min-height: var(--oobe-dialog-min-height);
  width: 100%;
}

#oobe.account-picker {
  max-height: unset;
  max-width: unset;
  padding-bottom: unset;
  padding-inline-end: unset;
  padding-inline-start: unset;
  padding-top: unset;
}

html:not([new-layout]) #outer-container.fullscreen,
html:not([new-layout]) #outer-container.fullscreen #oobe,
html:not([new-layout]) #inner-container,
html:not([new-layout]) #inner-container > .step {
  height: 100%;
  width: 100%;
}
